require 'spec_helper'

describe SuchMeta::DefaultI18nFetcher do
  before do
    I18n.backend.load_translations('spec/data/test.yml')
  end

  subject { SuchMeta::DefaultI18nFetcher.new(tag_type, controller, action) }
  let(:tag_type) { :title }
  let(:controller) { nil }
  let(:action) { nil }

  context 'I18n translations are not available for given controller and action' do
    describe '#call' do
      it 'returns the default title' do
        expect(subject.call).to eq(I18n.t("such_meta.default.#{tag_type}"))
      end
    end
  end
end
