require 'spec_helper'

describe SuchMeta::I18nFetcher do
  before do
    I18n.backend.load_translations('spec/data/test.yml')
  end

  subject { SuchMeta::I18nFetcher.new(tag_type, controller, action) }
  let(:tag_type) { :title }

  context 'I18n translations are available for given controller and action' do
    let(:controller) { 'muppets' }
    let(:action) { 'index' }

    describe '#call' do
      it 'throws an error' do
        expect { subject.call }.to raise_error(SuchMeta::OverrideInSubclassError)
      end
    end
  end

  context 'I18n translations are not available for given controller and action' do
    let(:controller) { nil }
    let(:action) { nil }

    describe '#call' do
      it 'throws an error' do
        expect { subject.call }.to raise_error(SuchMeta::OverrideInSubclassError)
      end
    end
  end
end
