require 'spec_helper'

describe SuchMeta::SpecificI18nFetcher do
  before do
    I18n.backend.load_translations('spec/data/test.yml')
  end

  subject { SuchMeta::SpecificI18nFetcher.new(tag_type, controller, action) }
  let(:tag_type) { :title }
  let(:controller) { 'muppets' }
  let(:action) { 'index' }

  context 'I18n translations are available for given controller and action' do
    describe '#call' do
      it 'returns an internationalized, custom meta data' do
        expect(subject.call).to eq(I18n.t("such_meta.specific.#{controller}.#{action}.#{tag_type}"))
      end
    end
  end
end
